RPM Package Manager is a package management system used primarily for GNU/Linux operating systems. It used the .rpm file format.

learn more… | top users | synonyms

19
votes
4answers
69k views

How do I install an rpm that complains about rpmlib(FileDigests) <= 4.6.0-1?

Im trying to install an rpm file on CentOS 5 and Im not sure how to resolve this issues it brings up: $ rpm --install epel-release-6-5.noarch.rpm warning: epel-release-6-5.noarch.rpm: Header V3 ...
12
votes
1answer
339 views

Can you help me with my software dependency issue?

This is a Canonical Question about Compile Dependencies and Package Management. I have a question regarding compiling ports/software or installing RPMs on my *nix server. When I try to do this ...
11
votes
4answers
632 views

Why is it bad to build RPMs as root?

This page contains a prominent warning: Important Never build RPMS as root. Why is it bad to build RPMs as root? Is it the possibility of overwriting some files? Are there file ...
11
votes
3answers
6k views

Installing Fedora RPMs in CentOS

How safe is it to install Fedora RPMs in CentOS 5? Does it depend on the version of the Fedora RPM or is it generally better to steer clear?
11
votes
6answers
6k views

Python 3.0 RPMs for CentOS 5 (RHEL 5)

Where is the best repository you use to obtain RPMs for Python 3.0 which are well maintained?
10
votes
3answers
13k views

How to list RPM dependencies?

Our production server is running CentOS release 5.2 (Final). How do I see/get/list all the dependencies of an already installed RPM package? For example: SQLite v3.3.6 is already installed in the ...
9
votes
5answers
5k views

Installing HAProxy on CentOS 6.3?

This is a weird one. I've installed the EPEL for CentOS 6 via # rpm -Uvh http://dl.fedoraproject.org/pub/epel/6/x86_64/epel-release-6-8.noarch.rpm The tried to install HAProxy: # yum update # yum ...
9
votes
5answers
42k views

How to install mcrypt for PHP 5.3.3 on CentOS 5.7 64 bit?

I installed php 5.3 and some modules using yum install php53-{module-name} But mcrypt did not work. I searched like this: yum list php* | grep mcry The only package that came up was ...
9
votes
3answers
526 views

RedHat: is it possible to install packages in a kind of mock environment to build RPMs

Is there a tool that allows to install the dependecies of an RPM .spec into an isolated environment? I won't install such dependencies globally on the system and I am not able to do so since I have ...
9
votes
1answer
3k views

How can I find what options an rpm was compiled with

I need to find the compile options for exim, as packaged by fedora 11. More generally, is there an easy way to find what options a particular rpm was compiled with?
7
votes
3answers
483 views

Specifying a source in puppet doesn't seem to work

I have been attempting to create a manifest for installing postgres 9.1 using puppet on a Centos 5 server. I have been trying to adapt the instructions at ...
7
votes
3answers
26k views

How to find RAID configuration/level and RPM speed having only remote access to the server?

Having only remote access (no physical access), to a server (that is SSH), how do I (or may be is it possible): find out whether it is RAID configured or not? If it is RAID configured, whether it ...
7
votes
1answer
6k views

Creating symlink in /usr/bin when creating an RPM

I'm creating an RPM for an application that doesn't already have one. I've got it building and installing fine in the /opt directory using $RPM_BUILD_ROOT, but I would also like to create a couple ...
6
votes
2answers
4k views

Why do I have .rpmnew file after an update?

I use yum to update my Fedora. After a huge update, I got many .rpmnew and .rpmsave files. I could understand if I had modified these files. But I'm sure that I didn't edit these files. What should I ...
6
votes
3answers
3k views

Can dpkg verify files from an installed package?

With rpm -qV openssh-server I will get a list of files that have changed compared to default. ~$ rpm -qV openssh-server S.?....T. c /etc/ssh/sshd_config ~$ Can dpkg on Ubuntu do the same?
6
votes
4answers
5k views

Install recent ImageMagick on CentOS 6.3

I'm having a terrible time trying to get a recent version of ImageMagick installed on a CentOS 6.3 x86_64 server. First, I downloaded the RPM from the ImageMagick site and tried to install it. That ...
6
votes
2answers
806 views

Do .rpm files have metadata

I have a .rpm file on my windows machine. Is there a way to inspect this file (either on windows or centos) without installing it, to find out where it was compiled from? something like metadata?
6
votes
6answers
25k views

CentOS 5: How to resolve php53 RPM dependency conflict with php-foo and php-common?

We are running a CentOS 5.6 system, and want to install php53 with php-mcrypt. However, this introduces a dependency conflict between php-common & php53-common. Does anyone have a good workaround ...
6
votes
3answers
3k views

Where can I find an online list of CentOS packages and their versions?

I am looking for an online list of the standard packages available for CentOS Linux. I know that if I had a CentOs system running, I could use yum to list packages. However, I am trying to evaluate ...
6
votes
6answers
4k views

rpm that provides a file

What is the command to list what rpms could provide a particular file: the rpm that provide files already installed or rpms that could provide files that are not installed?
6
votes
7answers
98 views

What have been the most useful resources for you when learning to make RPM's?

I'm in the position of needing to make a few RPMs at work, which is something fairly new to me. I'd really love to hear which docs, tutorials. or presos have been useful for you for understanding: ...
6
votes
2answers
127 views

RPM: Set Required: somepackage >= 0.5.0 AND somepackage < 0.6.0

Is it possible to set dependecy version requirements like this: Required: somepackage >= 0.5.0 AND somepackage < 0.6.0 So only somepackage 0.5.x will be automaticly installed.
6
votes
1answer
5k views

tell yum to ignore a single dependency

I'm trying to install winswitch on CentOs 6. It requires 'nxagent'. But in centos, the package name is 'nx'. Is there a way to tell yum to skip checking the 'nxagent' dependency (i installed 'nx' ...
5
votes
2answers
6k views

Disable the public key check for rpm installation

I want to make a DVD with some useful packages (for example php-common). The only problem is that if I try to install on a computer that's not connected to internet, I can't validate the public key. ...
5
votes
3answers
2k views

Removed YUM? CentOS 5.5

After doing yum remove crontabs this appears after running yum: -bash: /usr/bin/yum: No such file or directory This was the output of yum remove crontabs: [root@vs270 opt]# yum remove crontabs ...
5
votes
2answers
5k views

How do I downgrade an RPM?

I have version 3.2 of a package installed and I have downloaded version 2.4 manually, how do I install the older version?
5
votes
8answers
7k views

How to create an RPM for Suse

I need to install version 1.4 of Subversion on a Suse 10.1 (64 bit) box. I can't change either of these two versions and there isn't an RPM for this distro. After looking around I assume that I'll ...
5
votes
3answers
2k views

CentOS6 installation from CentOS5 box?

I am trying to build a new CentOS 6 VM from my CentOS 5 host, but it appears that something fundamental has changed between these versions: $ rpm -ivh --nodeps --nodigest --ignorearch --ignoreos ...
5
votes
2answers
593 views

What does this Linux command do?

I have by a mistake written this command on a CentOS server xargs rpm -e|rpm -qa|grep test11 where I meant rpm -qa|grep test11|xargs rpm -e which should uninstall all packages matching "test11". ...
5
votes
3answers
3k views

Transactions and Rollback with Debian

I don't know if it is common knowledge, but RPM has support for rollbacking to a previous installation after performing an upgrade (which breaks something for instance). You can pass rpm the ...
5
votes
1answer
128 views

Puppet package “ensure => latest” does not always work

I have a unique situation where the Puppet package ensure => latest directive only worked on some of my systems. Out of 30 servers, the packages updated properly on all but 4. I'm trying to get ...
5
votes
1answer
125 views

Why does installing the same package twice with yum not give me the same files?

The situation I am facing: I set up a CentOS 5.9 machine that is supposed to be as close as possible a copy of another CentOS 5.9 machine, but not a clone. Using yum, I installed (as far as possible) ...
5
votes
2answers
631 views

RPM packaging multiple versions for simultaneous install

Are there some guidelines, or does anyone have suggestions on how I should package something that I need to be able to have multiple versions of installed at the same time?
5
votes
2answers
2k views

rpm -Uvh authenticated proxy access … just hangs?

I'm not sure how to set up authenticated proxy access with rpm. But I have it set up with wget and yum. When I run rpm -Uvh http://dl.fedoraproject.org/etc... It just says 'Retrieving http://...' ...
4
votes
7answers
787 views

rpm without root

Is is possible to use rpm without root access?
4
votes
4answers
1k views

yum claims python isn't installed

Trying to install collectd, but for some reason it claims python isn't installed: yum install collectd Loaded plugins: fastestmirror Loading mirror speeds from cached hostfile Setting up Install ...
4
votes
3answers
290 views

What can I do to speed up createrepo?

We are using a yum repository to distribute our software to our production instances. Unfortunately, createrepo is becoming a bottleneck, and we only have 469 packages in the repository. $ time ...
4
votes
3answers
404 views

yum update, how to make rpm package updateable

need a link or tutorial on how to make an rpm package work with yum UPDATE. i have it and already works with yum INSTALL and yum ERASE, but is there somewhere info on how to make rpm package work when ...
4
votes
3answers
1k views

How to handle Puppet version differences between linux distributions

We're a small webdev shop that's investigating to roll out Puppet on various development and production servers. The puppetmaster is an Ubuntu 10.04 server with Puppet 0.25.4, from Ubuntu's repo. ...
4
votes
1answer
1k views

How do I prevent yum from updating a particular RPM?

For certain reasons I have to keep a slightly older version of a particular RPM installed on my box (Fedora 11). The problem is that every time I do a package update yum (or one of its GUI ...
4
votes
3answers
160 views

Is it good practice to just copy Perl modules via RPM?

A few applications on our RHEL6 servers depend on a few Perl modules being present. I would like to add these Perl modules as part of the Kickstart process when turning up new hosts. As opposed to ...
4
votes
2answers
311 views

Building an rpm file with a unique qualifier appended

I'm building RPMs in a continuous integration environment, and I need to distinguish between successive builds, but obviously the spec file does not get modified on each checkin. The spec file header ...
4
votes
1answer
87 views

How to prevent installation of incompatible rpm packages

I have two rpm packages wich should not get installed together. After googling around i assume there is no RequiresNot tag or something similar to specify incompatible packages in a specfile. What ...
4
votes
1answer
110 views

How to escape spaces in an rpm spec “source” item?

I'm trying to build an RPM, but the source file from the vendor has a space in the filename, and there doesn't seem to be any good way to escape the filename so that it builds. I've tried putting a \ ...
4
votes
2answers
188 views

Avoid file conflict in rpm package

I have created a rpm package.The part of .spec file is below %install mkdir -p ${RPM_BUILD_ROOT}/etc/xyz cp -rf %{BDIR}/console ${RPM_BUILD_ROOT}/etc/xyz %files /etc/xyz/console So XYZ ...
4
votes
3answers
400 views

%post section of rpmbuild not working

Situation: I'm trying to build a custom rpm to place a config file in a particular location. The installation completes fine by placing config files in proper directories but the %post section is not ...
4
votes
2answers
135 views

difference between compiled and installed via rpm (zypper)

In an openSUSE 11.1 I download, compile and install ImageMagick via: wget ftp://.../pub/graphics/ImageMagick/ImageMagick-6.7.7-0.zip unzip ImageMagick-6.7.7-0.zip cd ImageMagick-6.7.7-0 ./configure ...
3
votes
3answers
4k views

OpenSSL 0.9.8k or higher on CentOS 5?

I need to upgrade OpenSSL on my CentOS server to 0.9.8k or higher, however the latest version in the official CentOS repositories is 0.9.8e, much too old. Is there a 3rd party repository I can use ...
3
votes
5answers
207 views

Parse an RPM name into its components

Is there a name-parsing tool that is part of the official RPM tool package? I have a list of filenames. Each is the filename of an RPM package. I don't have the actual packages, just the filenames. ...
3
votes
3answers
372 views

Decompiling an RPM?

This is hopefully a simple question. Are there any tools out there to find out an enhanced description (beyond the normal rpm command) of the contents of an rpm, and possibly decompile it? We ...